Skip to main content
POST
/
v1
/
bridges
/
jambonz
/
stt
/
{model_variant}
Jambonz STT Bridge
curl --request POST \
  --url https://api.slng.ai/v1/bridges/jambonz/stt/{model_variant} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form audio='@example-file' \
  --form 'language=<string>' \
  --form encoding=LINEAR16 \
  --form sampleRateHz=8000 \
  --form interimResults=true \
  --form 'hints=<string>' \
  --form boostValues=123
{
  "type": "transcription",
  "is_final": true,
  "alternatives": [
    {
      "confidence": 123,
      "transcript": "<string>"
    }
  ],
  "channel": 123,
  "language": "<string>"
}

Authorizations

Authorization
string
header
required

API key issued by SLNG. Pass as Authorization: Bearer <token>.

Path Parameters

model_variant
enum<string>
required

Target STT model. Must support WebSocket streaming with final_transcript.

Available options:
deepgram/nova:2,
deepgram/nova:3,
deepgram/nova:3-medical,
slng/deepgram/nova:3-en,
slng/deepgram/nova:3-es,
slng/deepgram/nova:3-hi,
slng/deepgram/nova:3-multi,
slng/openai/whisper:large-v3,
slng/openai/whisper:large-v3-compressed

Body

multipart/form-data

Jambonz STT request.

audio
file
required

Audio file to transcribe.

language
string

Language code for recognition (e.g., en-US).

encoding
enum<string>

Audio encoding format.

Available options:
LINEAR16
sampleRateHz
enum<integer>

Audio sample rate in Hz.

Available options:
8000,
16000
interimResults
boolean

Enable interim (partial) transcription results.

hints
string[]

Speech recognition hints/phrases.

boostValues
number[]

Boost values corresponding to hints.

Response

Transcription successful.

Cognigy STT transcription response.

type
enum<string>
required

Response type.

Available options:
transcription
is_final
boolean
required

Whether this is a final transcription.

alternatives
object[]
required

Transcription alternatives.

channel
integer

Audio channel number.

language
string

Detected language code.